SuSE 10 Security Update : Linux kernel (ZYPP Patch Number 6453)

High Nessus Plugin ID 41541

Synopsis

The remote SuSE 10 host is missing a security-related patch.

Description

This update fixes a single critical security issues in the SUSE Linux Enterprise 10 SP 2 kernel.

- A missing check in the MSG_PROBE handling can be used to execute privileges to root. (CVE-2009-2698)

Solution

Apply ZYPP patch number 6453.

See Also

http://support.novell.com/security/cve/CVE-2009-2698.html

Plugin Details

Severity: High

ID: 41541

File Name: suse_kernel-6453.nasl

Version: 1.14

Type: local

Agent: unix

Published: 2009/09/24

Updated: 2019/10/25

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 7.2

Vector: CVSS2#AV:L/AC:L/Au:N/C:C/I:C/A:C

Vulnerability Information

CPE: cpe:/o:suse:suse_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2009/08/24

Exploitable With

Core Impact

Reference Information

CVE: CVE-2009-2698